Skip to content

CertProfiles (Template) ​

9 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
uploadCaCertFilePOSTUpload CA profile Template file
uploadClientCertFilePOSTUpload client certificate profile Template file
uploadClientPrivateKeyFilePOSTUpload client private key Template file
getGridCertProfileGETGet certificate profile Template list
createCertProfilePOSTCreate a new certificate profile Template
deleteCertProfileDELETEDelete an exist certificate profile Template
getCertProfileDetailGETGet a certificate profile Template detail
modifyCertProfilePOSTModify an exist certificate profile Template
deleteCertProfileFilePOSTDelete an exist certificate profile Template file

uploadCaCertFile ​

POST /openapi/v1/{omadacId}/files/sitetemplates/{siteTemplateId}/setting/profiles/cert-profiles/ca-cert

Upload CA profile Template file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
dataquerystringyesCertificate profile file name

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)yesCertificate profile file
json
// omada_call_operation
{
  "operationId": "uploadCaCertFile",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "data": "<data>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Upload CA profile Template file of the omadac with the given omadacId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30025 - Failed to import the certificate.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-33796 - The size of the certificate file has exceeded the limit. It should be less than 10KB.
-33797 - The certificate file cannot be parsed, please check the file or try uploading another file

uploadClientCertFile ​

POST /openapi/v1/{omadacId}/files/sitetemplates/{siteTemplateId}/setting/profiles/cert-profiles/client-cert

Upload client certificate profile Template file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
dataquerystringyesCertificate profile file name

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)yesCertificate profile file
json
// omada_call_operation
{
  "operationId": "uploadClientCertFile",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "data": "<data>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Upload client certificate profile Template file of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30025 - Failed to import the certificate.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33796 - The size of the certificate file has exceeded the limit. It should be less than 10KB.
-33797 - The certificate file cannot be parsed, please check the file or try uploading another file

uploadClientPrivateKeyFile ​

POST /openapi/v1/{omadacId}/files/sitetemplates/{siteTemplateId}/setting/profiles/cert-profiles/client-private-key

Upload client private key Template file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
dataquerystringyesCertificate profile file name

Request body — application/json (optional)

FieldTypeRequiredDescription
filestring (binary)yesCertificate profile file
json
// omada_call_operation
{
  "operationId": "uploadClientPrivateKeyFile",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "data": "<data>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Upload client private key Template file of the omadac with the given omadacId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30025 - Failed to import the certificate.
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-33796 - The size of the certificate file has exceeded the limit. It should be less than 10KB.
-33797 - The certificate file cannot be parsed, please check the file or try uploading another file

getGridCertProfile ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/profiles/cert-profiles

Get certificate profile Template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
filters.typequeryintegernoFilter query parameters, support field type, it should be a value as follows: 0: CA Cert; 1: Client Cert.
filters.statusqueryintegernoFilter query parameters, support field status, it should be a value as follows: 0: Normal; 1: Expired Soon; 2: Expired
searchKeyquerystringnoFuzzy query parameters, support field Name
json
// omada_call_operation
{
  "operationId": "getGridCertProfile",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get certificate profile Template list.(Pagination).
The interface requires one of the permissions:
Global Site Template Manager View Only

createCertProfile ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/profiles/cert-profiles

Create a new certificate profile Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema CertProfileRequestOpenApiVO

FieldTypeRequiredDescription
namestringyesCert profile name, name should contain 1 to 64 characters.
typeintegeryesCert profile type, type should be a value as follows: 0: CA Cert; 1: Client Cert..
formatintegeryesCert profile format, format should be a value as follows: 0: X509; 1: DER.
caCertFileIdstringnoCA Certificate file id, it's obtained from the interface 'uploadCaCertFile'; When type = 0, Parameter [caCertFileId] should not be null.
clientCertFileIdstringnoClient certificate file id, it's obtained from the interface 'uploadClientCertFile'; When type = 1, Parameter [clientCertFileId] should not be null.
privateKeyFileIdstringnoClient private key file id, it's obtained from the interface 'UploadClientPrivateKeyFile'; When type = 1, Parameter [privateKeyFileId] should not be null.
privateKeyPasswordstringnoClient private key password; When type = 1, Parameter [privateKeyPassword] is an optional input.
json
// omada_call_operation
{
  "operationId": "createCertProfile",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create a new certificate profile Template with the given params.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-33794 - This Certification profile name already exists.
-33795 - The number of Certification profiles has reached the limit.
-33797 - The certificate file cannot be parsed, please check the file or try uploading another file

deleteCertProfile ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/profiles/cert-profiles/{certId}

Delete an exist certificate profile Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
certIdpathstringyesCert profile ID
json
// omada_call_operation
{
  "operationId": "deleteCertProfile",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "certId": "<certId>"
  }
}
Details, permissions and error codes

Delete an exist certificate profile Template with the given params.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

getCertProfileDetail ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/profiles/cert-profiles/{certId}

Get a certificate profile Template detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
certIdpathstringyesCert profile ID
json
// omada_call_operation
{
  "operationId": "getCertProfileDetail",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "certId": "<certId>"
  }
}
Details, permissions and error codes

Get a certificate profile Template detail with the given params.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyCertProfile ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/profiles/cert-profiles/{certId}

Modify an exist certificate profile Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
certIdpathstringyesCertificate profile ID

Request body — application/json (required) — schema CertProfileRequestOpenApiVO

FieldTypeRequiredDescription
namestringyesCert profile name, name should contain 1 to 64 characters.
typeintegeryesCert profile type, type should be a value as follows: 0: CA Cert; 1: Client Cert..
formatintegeryesCert profile format, format should be a value as follows: 0: X509; 1: DER.
caCertFileIdstringnoCA Certificate file id, it's obtained from the interface 'uploadCaCertFile'; When type = 0, Parameter [caCertFileId] should not be null.
clientCertFileIdstringnoClient certificate file id, it's obtained from the interface 'uploadClientCertFile'; When type = 1, Parameter [clientCertFileId] should not be null.
privateKeyFileIdstringnoClient private key file id, it's obtained from the interface 'UploadClientPrivateKeyFile'; When type = 1, Parameter [privateKeyFileId] should not be null.
privateKeyPasswordstringnoClient private key password; When type = 1, Parameter [privateKeyPassword] is an optional input.
json
// omada_call_operation
{
  "operationId": "modifyCertProfile",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "certId": "<certId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an exist certificate profile Template with the given params.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-33793 - This Certification Authority does not exist.
-33797 - The certificate file cannot be parsed, please check the file or try uploading another file

deleteCertProfileFile ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/profiles/cert-profiles/delete-file/{fileId}

Delete an exist certificate profile Template file

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
fileIdpathstringyesCert profile file ID
json
// omada_call_operation
{
  "operationId": "deleteCertProfileFile",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "fileId": "<fileId>"
  }
}
Details, permissions and error codes

Delete an exist certificate profile Template file with the given params.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.